alias2234 Jan 4 @ 3:07pm
[SOLVED] STEAM - Counterstrike: Source not working on Ubuntu 13.10
Hi everyone, :)

I'm a noob at ubuntu, so be nice ... :)

I have downloaded steam on my ubuntupc, bought the game Counter-strike:Source and steam is working after I did this little modification, but not the game ...
I added the 32bit nvidia's driver and removed the mesa driver (I think):

cd /etc/ld.so.conf.d/
ls

find a filename with the "i386"
mine is "i386-linux-gnu_GL.conf"
then I write,

sudo gedit i386-linux-gnu_GL.conf

then I added 32 bit driver's path using gedit,
in "/usr/lib32/".
Saved and open a terminal and typed this:

sudo ldconfig

Now my STEAM program works.

I have this Ubuntu version :

philip@PC:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 13.10
Release: 13.10
Codename: saucy

I have installed STEAM. I get this in terminal when starting there :

philip@PC:~$ steam
Running Steam on ubuntu 13.10 32-bit
STEAM_RUNTIME is enabled automatically
Installing breakpad exception handler for appid(steam)/version(1386799584_client)
Installing breakpad exception handler for appid(steam)/version(1386799584_client)
Installing breakpad exception handler for appid(steam)/version(1386799584_client)
unlinked 0 orphaned pipes
removing stale semaphore last operated on by process 6895 with name 0eBlobRegistryMutex_1339FA659557964C3FD3358717BBB802
removing stale semaphore last operated on by process 6895 with name 0eBlobRegistrySignal_1339FA659557964C3FD3358717BBB802
removing stale semaphore last operated on by process 6895 with name 0emSteamEngineInstance
removing stale semaphore last operated on by process 6895 with name 0eSteamEngineLock
Gtk-Message: Failed to load module "overlay-scrollbar"
Gtk-Message: Failed to load module "unity-gtk-module"
Installing breakpad exception handler for appid(steam)/version(1386799584_client)
Fontconfig error: "/etc/fonts/conf.d/10-scale-bitmap-fonts.conf", line 70: non-double matrix element
Fontconfig error: "/etc/fonts/conf.d/10-scale-bitmap-fonts.conf", line 70: non-double matrix element
Fontconfig warning: "/etc/fonts/conf.d/10-scale-bitmap-fonts.conf", line 78: saw unknown, expected number
[0104/020326:WARNING:proxy_service.cc(958)] PAC support disabled because there is no system implementation
Installing breakpad exception handler for appid(steam)/version(1386799584_client)
Installing breakpad exception handler for appid(steam)/version(1386799584_client)
Installing breakpad exception handler for appid(steam)/version(1386799584_client)
Installing breakpad exception handler for appid(steam)/version(1386799584_client)
Installing breakpad exception handler for appid(steam)/version(1386799584_client)
Generating new string page texture 2: 48x256, total string texture memory is 49,15 KB
Generating new string page texture 3: 256x256, total string texture memory is 311,30 KB
Installing breakpad exception handler for appid(steam)/version(1386799584_client)
Installing breakpad exception handler for appid(steam)/version(1386799584_client)
Focused window is now 1, 0
Adding license for package 0
Adding license for package 37
roaming config store loaded successfully - 354 bytes.
migrating temporary roaming config store
Installing breakpad exception handler for appid(steam)/version(1386799584_client)
ExecCommandLine: "/home/philip/.local/share/Steam/ubuntu12_32/steam"
System startup time: 8,14 seconds
OnFocusWindowChanged to unknown window type: k_EWindowTypeSteamDesktop, 0
Running Steam on ubuntu 13.10 32-bit
STEAM_RUNTIME has been set by the user to: /home/philip/.local/share/Steam/ubuntu12_32/steam-runtime
Generating new string page texture 67: 128x256, total string texture memory is 442,37 KB
Generating new string page texture 68: 128x256, total string texture memory is 131,07 KB
Generating new string page texture 69: 64x256, total string texture memory is 507,90 KB
Generating new string page texture 70: 32x256, total string texture memory is 540,67 KB
Installing breakpad exception handler for appid(steam)/version(1386799584_client)
ExecCommandLine: "/home/philip/.steam/root/ubuntu12_32/steam steam://open/driverhelperready"
ExecSteamURL: "steam://open/driverhelperready"
Installing breakpad exception handler for appid(steam)/version(1386799584_client)
Focused window is now 0, 0
OnFocusWindowChanged to unknown window type: k_EWindowTypeNonSteamDesktop, 0

I wonder if my grapiccard NVIDIA G71 [GeForce 7900 GT/GTO] is good for playing Counterstrike with ???

I have this grapic-card data:

philip@PC:~$ inxi -G
Graphics: Card: NVIDIA G71 [GeForce 7900 GT/GTO]
X.Org: 1.14.4.901 drivers: nvidia (unloaded: fbdev,vesa,nouveau) Resolution: 1440x900@59.9hz
GLX Renderer: GeForce 7900 GT/GTO/PCIe/SSE2/3DNOW! GLX Version: 2.1.2 NVIDIA 304.117
Well, I get this errormessage, when trying to run the game Counterstrike in Steam:
Could not find required OpenGL entry point 'glColorMaskIndexedEXT'! Either your video card is unsupported, or your OpenGL driver needs to be updated.

How about my OpenGL ?

OpenGL version : glxinfo | grep -i opengl
OpenGL vendor string: NVIDIA Corporation OpenGL renderer string: GeForce 7900 GT/GTO/PCIe/SSE2/3DNOW! OpenGL version string: 2.1.2 NVIDIA 304.117 OpenGL shading language version string: 1.20 NVIDIA via Cg compiler OpenGL extensions:
How to troubleshoot or fix this error, because I have no clue at the moment, I need ideas ... :( Thx
Last edited by alias2234; Jan 5 @ 10:07am
Showing 1-3 of 3 comments
< >
Kranky K. Krackpot Sr. Jan 5 @ 1:24am 
Mac's requirements for CS:Source say: NVIDIA GeForce 8 or higher. Mightbe, Linux wants the same. But yours is 7, as I see.
Last edited by Kranky K. Krackpot Sr.; Jan 5 @ 1:30am
alias2234 Jan 5 @ 9:58am 
Yea, you are right "Kranky".

I have done troubleshooting on one's own and my result is that I have a grapiccard that is to old to fix STEAM Counterstrike for me.

I need at least OpenGL 3.0 to run STEAM Counterstrike and I have only 2.0 with this graphiccard [NVIDIA GeForce 7900 GT] and I can't find any driver that has OpenGL 3.0 for my card.

I have to upgrade my grapiccard to a newer model.
It is still 7 years old ... ;) so I think it is time to make a shift now. :)

So I will now go on a "huntingtrip" on Internet and find me a nice grapiccard.

I think I stick with NVIDIA Geforce versions, they work great with Linux so far.

The obvious is sometimes difficult to comprehend ... ;)
Last edited by alias2234; Jan 5 @ 10:01am
Showing 1-3 of 3 comments
< >
Per page: 15 30 50